Retrieve aggregated project statistics

Returns aggregated sending, reception and spam statistics across the accounts of the project, filtered by domains and/or tags. Consolidated data is returned up to 2 days ago.

Query Parameters
  • domains
    Type: string
    required

    Comma-separated list of domains (or substrings) used to filter accounts by email. Use all to include every account of the project.

  • provider
    Type: stringenum

    Filter statistics by recipient provider. One of gmail, outlook or others. When omitted, all providers are included.

    values
    • gmail
    • outlook
    • others
  • past_days
    Type: integerFormat: int32

    Number of past days to include in the statistics.

Body
application/json
Responses
  • application/json
  • application/json
Request Example for get/v1/stats
curl 'http://api.mailreach.co/api/v1/stats?domains=mailreach.co%2Cexample.com&provider=gmail&past_days=14' \
  --header 'Content-Type: multipart/form-data' \
  --header 'X-Api-Key: YOUR_SECRET_TOKEN'
[
  {
    "sum_inbox": 1895,
    "sum_spam": 18,
    "sum_missing": 21,
    "sum_categories": 0,
    "sum_conversations": 2796,
    "sum_sent": 1934,
    "sum_received": 2218,
    "created_at": "2026-04-10T00:00:00.000Z"
  }
]